/*
 *  CovarianceX.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int CovarianceX(gsl_matrix * V)
{
	int i,j;
	size_t d = V->size1 ;
	
	for (i=0;i<d;i++)
    {
        for (j=0;j<d;j++) 
        {
            double diffij = i - j ;
            V->data[i*V->tda + j] = pow(0.5,baj_abs(diffij)) ;
        }
    }
	return 0 ;
}

