/*
 *  GetReducedX.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/21/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int GetReducedX(gsl_matrix * RedX, int * keep_index, int n_keep, gsl_matrix * X)
{
    int j ;    
    for (j=0;j<n_keep;j++)
    {
        gsl_vector_view xj = gsl_matrix_column(X,*(keep_index+j));
        gsl_matrix_set_col(RedX, j, &xj.vector) ;
    }
    
    return 0 ;
}
