/*
 *  InitAllocMissBin.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int InitAllocMissBin(int n, int d, MissBin * MB)
{
	//int tot_q = d+2 ; // d for X1-X8, 1 for Y, 1 for intercept
	//int q = (tot_q-2) + (tot_q-1); // R=1 missing X1,X2, R=2 missing X2
	MB->Y = gsl_vector_calloc(n);
	MB->X = gsl_matrix_calloc(n,d);
	MB->R = gsl_vector_calloc(n);
	MB->G = gsl_matrix_calloc(n,d);
	
	MB->bhatI = gsl_vector_calloc(d);
	MB->L2 = gsl_vector_calloc(d);
	MB->psi1 = gsl_vector_calloc(d);
	MB->psi2 = gsl_vector_calloc(d+1);
	MB->theta_mu = gsl_vector_calloc(d+1);
	MB->theta_sigma = gsl_matrix_calloc(d+1,d+1);
	MB->lamhat = gsl_matrix_calloc(n,2);
	
	return 0 ;
}

