/*
 *  ReadSimSeeds.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/30/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int ReadSimSeeds(int * simseeds)
{
    int j ;
    gsl_matrix * TmpD = gsl_matrix_calloc(2000,2);

    FILE * f = fopen("./SimSeeds2000.txt","r") ;
    if (f==NULL)
    {
        fprintf(stderr,"SimSeeds2000.txt does not exist!\n") ;
        exit(8) ;
    }
    
    gsl_matrix_fscanf(f, TmpD);
    
    for (j=0;j<2000;j++)
    {
        double tmp_seed = (int) TmpD->data[j*TmpD->tda + 1];
        *(simseeds + j) = tmp_seed ;
    }

    gsl_matrix_free(TmpD);
    fclose(f) ;
    return 0 ;
}

