/*
 *  baj_print.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int baj_print_vector(gsl_vector * v)
{
    size_t d=v->size ;
    int i ;
    for (i=0;i<d;i++) printf("%5.2f ", gsl_vector_get(v,i)) ;
    //for (i=0;i<d;i++) printf("%5.3e ", gsl_vector_get(v,i)) ;
    printf("\n") ;

    return 0 ;
}

int baj_print_matrix(gsl_matrix * v)
{
    size_t d1=v->size1 ;
    size_t d2=v->size2 ;
    int i,j ;
    for (i=0;i<d1;i++) 
    {
        for (j=0;j<d2;j++) printf("%5.2f ", gsl_matrix_get(v,i,j)) ;
        //for (j=0;j<d2;j++) printf("%5.3e ", gsl_matrix_get(v,i,j)) ;
        printf("\n") ;
    }

    return 0 ;
}
