/*
 *  main.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int main(int argc, char * argv[])
{
    unsigned long int MYSEED = 126925360 ; 
	int MYINDEX = 1;
    const gsl_rng_type * GeneratorType ;
    gsl_rng * RngHandle ; 
    gsl_rng_env_setup() ;
    GeneratorType = gsl_rng_default ;
    RngHandle = gsl_rng_alloc (GeneratorType) ;
    gsl_rng_set(RngHandle, MYSEED) ; 
	
	//printf("Project Coarsened Data\n");
	//WagesAnalysis(RngHandle);
	
	//WagesSimulation(RngHandle);
	
	
	//MYINDEX = ReadCmdLine(argc, argv);
	
	SimStudy(RngHandle,MYINDEX);
	
	
	/*
	for (MYINDEX = 1;MYINDEX<100;MYINDEX++) 
	{
		fprintf(stderr,"sim %d\n", MYINDEX);
		SimStudy(RngHandle,MYINDEX);
	}
	*/
	
	
    gsl_rng_free(RngHandle);

	return 0 ;
}

