/*
 *  EvalnSigmaU.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/21/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int EvalnSigmaU(gsl_matrix * nSigmaU, double lambda, double a1, gsl_vector * beta, int METH, double n)
{
    int j ;
    size_t d = nSigmaU->size1 ;
    
    for (j=0;j<d;j++)
    {
        double bj = beta->data[j];
        double abj = baj_abs(bj) ;
        double pbetaj = EvalPbeta(lambda, a1, abj, METH);
		nSigmaU->data[j*nSigmaU->tda + j] = n*lambda*pbetaj/abj ;
    }

    return 0 ;
}
