/*
 *  MaxAbsDiff.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/19/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

double MaxAbsDiff(gsl_vector * v1, gsl_vector * v2)
{
    int j ;
    double maxad = 1.e-10 ;
    size_t d = v1->size ;
    
    for (j=0;j<d;j++)
    {
        double absdiffj = baj_abs(v1->data[j] - v2->data[j]) ;
        if (absdiffj > maxad) maxad=absdiffj ;
    }
    
    return maxad ;
}
