/*
 *  OLS_Naive_Block.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/23/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int OLSNaiveBlock(double * bhat, double * sehat, MissBin * MB, int * non0ind, int n_nonzero)
{
	size_t d = MB->X->size2 ;
	gsl_vector * Yc = gsl_vector_calloc(MB->nr_eq99);
	gsl_matrix * Xc = gsl_matrix_calloc(MB->nr_eq99,d);
	gsl_vector * tmp = gsl_vector_calloc(MB->nr_eq99);
	
	GetCompleteYX(Yc,Xc,tmp,MB);
	OLSFullBlock(bhat,sehat,Yc,Xc,non0ind,n_nonzero);
	
	gsl_vector_free(Yc);
	gsl_vector_free(tmp);
	gsl_matrix_free(Xc);
	return 0 ;
}

