/*
 *  R2_Sigma_Rest.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/24/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

int R2_Sigma_Rest(gsl_matrix * S, MissBin * MB)
{
	size_t d = MB->X->size2 ;
	int j=0,k=0,cntrj=0,cntrk=0 ;

	gsl_matrix * Sigma = gsl_matrix_calloc(d,d);
		
	cntrj=0;
	for (j=0;j<(d+1);j++)
	{
		if (j==1) continue ;
		else
		{
			cntrk = 0;
			for (k=0;k<(d+1);k++)
			{
				if (k==1) continue ;
				else 
				{
					Sigma->data[cntrj * Sigma->tda + cntrk] = gsl_matrix_get(MB->theta_sigma,j,k);
					cntrk++;
				}
			}
			cntrj++ ;
		}
	}

	gsl_matrix_memcpy(S,Sigma);
	
	gsl_matrix_free(Sigma);
	return 0 ;
}
