/*
 *  FirstCondMomX1.c
 *  CoarsenedData
 *
 *  Created by Brent Johnson on 3/24/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

#include "coarse.h"

// S = d-by-vector 
int R2_Sigma_X1_Rest(gsl_vector * S, MissBin * MB)
{
	size_t d = MB->X->size2 ;
	gsl_vector * Local = gsl_vector_calloc(d);
	int j,cntr=0;
	
	for (j=0;j<(d+1);j++)
	{
		if (j==1) continue ;
		else
		{
			Local->data[cntr] = MB->theta_sigma->data[1 * MB->theta_sigma->tda + j] ;
			cntr++;
		}
	}
	
	gsl_vector_memcpy(S,Local);
	gsl_vector_free(Local);
	return 0 ;
}

