dirn <- "/Users/brentjohnson/Documents/Research/VariableSelection/CoarsenedData/"

fn1 <- paste(dirn,"wages1.out",sep="")
fn2 <- paste(dirn,"wages2.out",sep="")
fn.full <- paste(dirn,"wages_full.out",sep="")

dat1 <- read.table(fn1)
dat2 <- read.table(fn2)
dat.full <- read.table(fn.full)

bhat.full.all <- as.vector(dat.full[,1])
bhat.full.scad <- as.vector(dat.full[,3])
bhat.full.hard <- as.vector(dat.full[,5])
bhat.full.lasso <- as.vector(dat.full[,7])

sehat.full.all <- as.vector(dat.full[,2])
sehat.full.scad <- as.vector(dat.full[,4])
sehat.full.hard <- as.vector(dat.full[,6])
sehat.full.lasso <- as.vector(dat.full[,8])

bmat.ipw.1 <- matrix(unlist(dat1[,1:60]),100,60,byrow=FALSE)
bmat.naive.1 <- matrix(unlist(dat1[,61:120]),100,60,byrow=FALSE)
semat.ipw.1 <- matrix(unlist(dat1[,121:180]),100,60,byrow=FALSE)
semat.naive.1 <- matrix(unlist(dat1[,181:240]),100,60,byrow=FALSE)

bmat.ipw.2 <- matrix(unlist(dat2[,1:60]),100,60,byrow=FALSE)
bmat.naive.2 <- matrix(unlist(dat2[,61:120]),100,60,byrow=FALSE)
semat.ipw.2 <- matrix(unlist(dat2[,121:180]),100,60,byrow=FALSE)
semat.naive.2 <- matrix(unlist(dat2[,181:240]),100,60,byrow=FALSE)

sum.intfun <- function(mat,full.a,full.s,full.h,full.l)
{
	d <- 12
	tmp <- mat[,1:48]
	full <- c(full.a,full.s,full.h,full.l)
	my.diff <- tmp - matrix(full,nrow(mat),4*d,byrow=TRUE)
	
	all.diff <- my.diff[,1:12]
	s.diff <- my.diff[,13:24]
	h.diff <- my.diff[,25:32]
	l.diff <- my.diff[,33:48]
	
	sq.sum.fun <- function(x) {sum(x^2)}
	all.sum <- apply(all.diff,1,sq.sum.fun)
	s.sum <- apply(s.diff,1,sq.sum.fun)
	h.sum <- apply(h.diff,1,sq.sum.fun)
	l.sum <- apply(l.diff,1,sq.sum.fun)
	cbind(all.sum,s.sum,h.sum,l.sum)
}

tmp.sum <- sum.intfun(bmat.ipw.1,bhat.full.all,bhat.full.scad,
	bhat.full.hard,bhat.full.lasso)

